Bug 185903 - port update: x11/tabbed
Summary: port update: x11/tabbed
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pawel Pekala
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-20 06:40 UTC by mp39590
Modified: 2014-01-29 21:40 UTC (History)
0 users

See Also:


Attachments
file.diff (3.99 KB, patch)
2014-01-20 06:40 UTC, mp39590
no flags Details | Diff
tabbed-0.6.patch (4.00 KB, patch)
2014-01-22 08:11 UTC, mp39590
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description mp39590 2014-01-20 06:40:00 UTC
x11/tabbed port has not been updated for 3 years, since then two new versions are out, current one is 0.5. Attached patch updates it to the current version, and also adds staging build/optionsNG support.

Maintainer's email is on @lavabit.com domain, which has been closed (www.lavabit.com), emails are returned with errors.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2014-01-20 06:40:07 UTC
Maintainer of x11/tabbed,

Please note that PR ports/185903 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/185903

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2014-01-20 06:40:08 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 winston 2014-01-21 05:17:29 UTC
Hello,

I am Winston Weinert. Please pass the torch to Mikhail <mp39590@gmail.com> a=
s I no longer with to maintain this port.

Thanks!
--
 Winston Weinert
 winston@ml1.net
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2014-01-21 15:10:10 UTC
State Changed
From-To: feedback->open

To submitter: previous maintainer has resigned, and suggests you as new 
maintainer.
Comment 5 dfilter service freebsd_committer 2014-01-21 15:11:24 UTC
Author: linimon
Date: Tue Jan 21 15:11:17 2014
New Revision: 340611
URL: http://svnweb.freebsd.org/changeset/ports/340611
QAT: https://qat.redports.org/buildarchive/r340611/

Log:
  Over to new volunteer.
  
  PR:		185903
  Submitted by:	new maintainer
  Approved by:	old maintainer

Modified:
  head/x11/tabbed/Makefile

Modified: head/x11/tabbed/Makefile
==============================================================================
--- head/x11/tabbed/Makefile	Tue Jan 21 14:03:59 2014	(r340610)
+++ head/x11/tabbed/Makefile	Tue Jan 21 15:11:17 2014	(r340611)
@@ -6,7 +6,7 @@ PORTVERSION=	0.3
 CATEGORIES=	x11
 MASTER_SITES=	http://dl.suckless.org/tools/
 
-MAINTAINER=	winstonw@lavabit.com
+MAINTAINER=	mp39590@gmail.com
 COMMENT=	Simple generic tabbed fronted to xembed aware applications
 
 LICENSE=	MIT
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 mp39590 2014-01-22 08:11:12 UTC
On 10:40 20-Jan 2014 FreeBSD-gnats-submit@FreeBSD.org wrote:
> Thank you very much for your problem report.
> It has the internal identification `ports/185903'.
> The individual assigned to look at your
> report is: freebsd-ports-bugs. 
> 
> You can access the state of your problem report at any time
> via this link:
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=185903
> 
> >Category:       ports
> >Responsible:    freebsd-ports-bugs
> >Synopsis:       port update: x11/tabbed
> >Arrival-Date:   Mon Jan 20 06:40:00 UTC 2014

New version (0.6) of tabbed has been released yesterday. Patch is attached.
Comment 7 Pawel Pekala freebsd_committer 2014-01-29 21:14:53 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pawel

I'll take it.
Comment 8 dfilter service freebsd_committer 2014-01-29 21:30:39 UTC
Author: pawel
Date: Wed Jan 29 21:30:31 2014
New Revision: 341784
URL: http://svnweb.freebsd.org/changeset/ports/341784
QAT: https://qat.redports.org/buildarchive/r341784/

Log:
  - Update to version 0.6 [1]
  - Support staging [1]
  - Respect CFLAGS
  
  PR:		ports/185903 [1]
  Submitted by:	maintainer

Modified:
  head/x11/tabbed/Makefile
  head/x11/tabbed/distinfo
  head/x11/tabbed/files/patch-config.mk

Modified: head/x11/tabbed/Makefile
==============================================================================
--- head/x11/tabbed/Makefile	Wed Jan 29 21:13:47 2014	(r341783)
+++ head/x11/tabbed/Makefile	Wed Jan 29 21:30:31 2014	(r341784)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	tabbed
-PORTVERSION=	0.3
+PORTVERSION=	0.6
 CATEGORIES=	x11
 MASTER_SITES=	http://dl.suckless.org/tools/
 
@@ -13,11 +13,12 @@ LICENSE=	MIT
 
 USE_XORG=	x11
 
-MAN1=		tabbed.1
-PLIST_FILES=	bin/tabbed
+OPTIONS_DEFINE=	DOCS
+
+PLIST_FILES=	bin/tabbed \
+		man/man1/tabbed.1.gz
 PORTDOCS=	LICENSE README
 
-NO_STAGE=	yes
 pre-everything::
 	@${ECHO_MSG} "You can build tabbed with your own config.h using the TABBED_CONF knob:"
 	@${ECHO_MSG} "make TABBED_CONF=/path/to/tabbed/config.h install clean"
@@ -27,13 +28,11 @@ post-extract:
 	@${ECHO_MSG} "creating config.h from ${TABBED_CONF}"
 	@${CP} ${TABBED_CONF} ${WRKSRC}/config.h
 .endif
+	@${REINPLACE_CMD} 's|-std=c99 -pedantic -Wall -O0|${CFLAGS}|' \
+		${WRKSRC}/config.mk
 
 post-install:
-.if !defined(NOPORTDOCS)
-	@${ECHO_MSG} "installing additional documentation to ${DOCSDIR}"
-	@${MKDIR} ${DOCSDIR}
-	@${INSTALL_MAN} ${WRKSRC}/LICENSE ${DOCSDIR}
-	@${INSTALL_MAN} ${WRKSRC}/README ${DOCSDIR}
-.endif
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}
+	${INSTALL_DATA} ${PORTDOCS:S|^|${WRKSRC}/|} ${STAGEDIR}${DOCSDIR}
 
 .include <bsd.port.mk>

Modified: head/x11/tabbed/distinfo
==============================================================================
--- head/x11/tabbed/distinfo	Wed Jan 29 21:13:47 2014	(r341783)
+++ head/x11/tabbed/distinfo	Wed Jan 29 21:30:31 2014	(r341784)
@@ -1,2 +1,2 @@
-SHA256 (tabbed-0.3.tar.gz) = bb72aa6e4831e0aadee8a6232d8532a548e736236bbaaed970e77fb5d3177ff0
-SIZE (tabbed-0.3.tar.gz) = 9177
+SHA256 (tabbed-0.6.tar.gz) = 7651ea3acbec5d6a25469e8665da7fc70aba2b4fa61a2a6a5449eafdfd641c42
+SIZE (tabbed-0.6.tar.gz) = 12926

Modified: head/x11/tabbed/files/patch-config.mk
==============================================================================
--- head/x11/tabbed/files/patch-config.mk	Wed Jan 29 21:13:47 2014	(r341783)
+++ head/x11/tabbed/files/patch-config.mk	Wed Jan 29 21:30:31 2014	(r341784)
@@ -1,25 +1,39 @@
---- config.mk.orig	2010-09-03 23:40:32.000000000 -0500
-+++ config.mk	2010-09-03 23:42:18.000000000 -0500
-@@ -4,12 +4,12 @@
- # Customize below to fit your system
- 
- # paths
--PREFIX = /usr/local
--MANPREFIX = ${PREFIX}/share/man
-+PREFIX?= /usr/local
-+MANPREFIX = ${PREFIX}/man
- 
- # includes and libs
--INCS = -I. -I/usr/include
--LIBS = -L/usr/lib -lc -lX11
-+INCS = -I. -I/usr/include -I/usr/local/include
-+LIBS = -L/usr/lib -L/usr/local/lib -lc -lX11
- 
- # flags
- CPPFLAGS = -DVERSION=\"${VERSION}\"
-@@ -21,4 +21,4 @@
- #LDFLAGS = ${LIBS}
- 
- # compiler and linker
--CC = cc
-+CC?= cc
+*** config.mk.orig	2014-01-19 21:53:24.000000000 +0400
+--- config.mk	2014-01-19 22:40:13.000000000 +0400
+***************
+*** 5,15 ****
+  
+  # paths
+  PREFIX = /usr/local
+! MANPREFIX = ${PREFIX}/share/man
+  
+  # includes and libs
+! INCS = -I. -I/usr/include
+! LIBS = -L/usr/lib -lc -lX11
+  
+  # flags
+  CPPFLAGS = -DVERSION=\"${VERSION}\" -D_BSD_SOURCE
+--- 5,15 ----
+  
+  # paths
+  PREFIX = /usr/local
+! MANPREFIX = ${PREFIX}/man
+  
+  # includes and libs
+! INCS = -I. -I/usr/local/include
+! LIBS = -L/usr/local/lib -lc -lX11
+  
+  # flags
+  CPPFLAGS = -DVERSION=\"${VERSION}\" -D_BSD_SOURCE
+***************
+*** 21,25 ****
+  #LDFLAGS = ${LIBS}
+  
+  # compiler and linker
+! CC = cc
+  
+--- 21,25 ----
+  #LDFLAGS = ${LIBS}
+  
+  # compiler and linker
+! CC?= cc
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 9 Pawel Pekala freebsd_committer 2014-01-29 21:30:46 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!